/* MIPS I system
 * Copyright 2011-2012 Stefan Schuermans <stefan@schuermans.info>
 * Copyleft GNU public license V2 or later
 *          http://www.gnu.org/copyleft/gpl.html
 */

#ifndef FORMAT_H
#define FORMAT_H

/**
 * @brief convert unsigned integer to decimal
 * @param[in] uint unsigned integer value
 * @param[in] cnt number of digits
 * @param[out] digits value as decimal digits
 */
void format_uint2dec(unsigned int uint, unsigned int cnt, char digits[]);

/**
 * @brief convert unsigned integer to hexadecimal
 * @param[in] uint unsigned integer value
 * @param[in] cnt number of digits
 * @param[out] digits value as decimal hexadigits
 */
void format_uint2hex(unsigned int uint, unsigned int cnt, char digits[]);

#endif // #ifdef FORMAT_H

