/* MIPS I system
 * Copyright 2011-2012 Stefan Schuermans <stefan@schuermans.info>
 * Copyleft GNU public license V2 or later
 *          http://www.gnu.org/copyleft/gpl.html
 */

#ifndef RANDOM_H
#define RANDOM_H

/**
 * @brief provide entropy
 * @param[in] ptr pointer to buffer containing entropy
 * @param[in] sz size of buffer
 */
void random_provide_entropy(const void *ptr, unsigned int sz);

/**
 * @brief get random data
 * @param[in] ptr pointer to buffer to fill with random data
 * @param[in] sz size of buffer to fill
 */
void random_get_data(void *ptr, unsigned int sz);

#endif // #ifdef RANDOM_H

